
package eu.gaudian.translator.model.communication



data class GeminiModelsListResponse(
    val models: List<GeminiModelItem>?
)

data class GeminiModelItem(
    val name: String?,
    val displayName: String?,
    val description: String?,
    val inputTokenLimit: Int?,
    val outputTokenLimit: Int?,
    val supportedGenerationMethods: List<String>? // e.g., ["generateContent"]
)